madplay_0.15.2b-8.2_amd64.deb


Advertisement

Description

madplay - MPEG audio player in fixed point

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package filename madplay_0.15.2b-8.2_amd64.deb
Package name madplay
Package version 0.15.2b
Package release 8.2
Package architecture amd64
Package type deb
Category universe/sound
Homepage https://www.underbit.com/products/mad/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 46.36 KB
Installed size 136.00 KB
MAD is an MPEG audio decoder. It currently only supports the MPEG 1
standard, but fully implements all three audio layers (Layer I, Layer II,
and Layer III, the latter often colloquially known as MP3.).  There is also
full support for ID3 tags.
All work is done in fixed point, so it even works on machines without an FPU.

Alternatives

Package Version Architecture Repository
madplay_0.15.2b-8.2_i386.deb 0.15.2b i386 Ubuntu Universe
madplay - - -

Requires

Name Value
libasound2 >= 1.0.16
libc6 >= 2.14
libid3tag0 >= 0.15.1b
libmad0 >= 0.15.1b-3

Download

Type URL
Mirror archive.ubuntu.com
Binary Package madplay_0.15.2b-8.2_amd64.deb
Source Package madplay

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install madplay deb package:
    # sudo apt-get install madplay

Files

Path
/usr/bin/madplay
/usr/share/doc/madplay/CREDITS.gz
/usr/share/doc/madplay/README.gz
/usr/share/doc/madplay/TODO
/usr/share/doc/madplay/changelog.Debian.gz
/usr/share/doc/madplay/copyright
/usr/share/man/man1/madplay.1.gz

Changelog

2017-12-30 - Paul Gevers <elbrus@debian.org>
madplay (0.15.2b-8.2) unstable; urgency=medium
* Non-maintainer upload (Closes: #885724)
* Drop build-dep on libesd0-dev as it was optional anyways and is now
deprecated (Closes: #856085)
* Replace build depends on automake1.11 with automake (Closes: #865188)
Thanks to Eric Dorland for the initial patch.
* Drop Clément Stenac from uploaders list (Closes: #868709)
* Add Homepage field to d/control
2016-04-22 - Paul Gevers <elbrus@debian.org>
madplay (0.15.2b-8.1) unstable; urgency=medium
* Non-maintainer upload.
* Fix FTBFS by --add-missing to automake call (Closes: #818528)
2012-04-07 - Kurt Roeckx <kurt@roeckx.be>
madplay (0.15.2b-8) unstable; urgency=high
* Fix buffer overflow in the alsa output code (Closes: #619341)
Thanks to Ben Winslow <rain@bluecherry.net>
* Only build with alsa on linux (Closes: #625649)
2009-08-14 - Kurt Roeckx <kurt@roeckx.be>
madplay (0.15.2b-7) unstable; urgency=low
* Switch to automake1.11 (Closes: #541531)
2009-06-21 - Kurt Roeckx <kurt@roeckx.be>
madplay (0.15.2b-6) unstable; urgency=low
* libtoolize no longer updates config.guess/sub, and cdbs's handling
got fixes a long time ago.  Just let cdbs do it now.  (Closes: #533968)
* Call automake with the --foreign option, so that we don't need
to create empty files that would be needed with --gnu.
* Enable ALSA support. (Closes: #494865)
* Configure options weren't working because:
- You need to tell it to cdbs after the includes
- :+= was being used to set the options.
* Add patch to handle some LAME tags.  (Closes: #494866)
* Remove config.h.in in clean target.
* New libtool creates new files in diff, remove the in clean target.
* Set compat level to 5.  cdbs autogenerates this, but it wasn't
under cvs control.
2008-03-30 - Kurt Roeckx <kurt@roeckx.be>
madplay (0.15.2b-5) unstable; urgency=low
* Switch from automake1.8 to automake1.10. (Closes: #473335)
* Don't tell libtool to disable shared libraries.  This results
in not linking to libaudiofile and libz.
* Update Clément Stenac email address to zorglub@debian.org
2005-03-28 - Sam Clegg <samo@debian.org>
madplay (0.15.2b-4) unstable; urgency=low
* Sam Clegg:
* debian/control: set new Maintainer: and Uploaders:
pkg-mad-maintainers@list.alioth.debian.org (Closes: #300095)
* debian/rules: convert to cdbs
* debian/control: depend to cdbs
* debian/madplay.files: replaced with madplay.install
(cdbs install target disabled.. but we could just let this
handle installing the files rather than use debhelper)
* Kurt Roeckx:
* Added autotools-dev, libtool, autoconf, automake1.8 build dependency
and regenerate all those files on build.
* Add -Werror to CFLAGS
* Corrected the copyright file.
* Fixed typo in the description of the package (Closes: #300052)
* Convert an ucs4 string to a wchar_t string first.  id3_ucs4_t is 
of type unsigned long while wchar_t of type int. (Closes: #295424)
* Install CREDITS files.
* Add a watch file.
2005-03-17 - Kyle McMartin <kyle@debian.org>
madplay (0.15.2b-3.1) unstable; urgency=low
* Orphaning this package, setting maintainer to QA.
2004-10-19 - Kyle McMartin <kyle@debian.org>
madplay (0.15.2b-3) unstable; urgency=low
* Applied fixed patch from Tobias Diedrich, this fixes
a memory leak his previous patch caused. (closes: #276928)
2004-10-17 - Kyle McMartin <kyle@debian.org>
madplay (0.15.2b-2) unstable; urgency=low
* Applied patch from Tobias Diedrich which fixes the display
of id3tags on non-iso8859-1 locales (ie: UTF-8). (closes: #276928).

See Also

Package Description
madwimax_0.1.1-1ubuntu3_amd64.deb user-space driver for mWiMAX equipment based on Samsung CMC-730
mafft_7.310-1_amd64.deb Multiple alignment program for amino acid or nucleotide sequences
magic-wormhole_0.10.3-1_all.deb Securely and simply transfer data between computers
magic_8.0.210-2build1_amd64.deb VLSI layout tool
magicfilter_1.2-65_amd64.deb automatic printer filter
magicmaze_1.4.3.6+dfsg-2_all.deb rescue the maiden while avoiding the monsters
magicor-data_1.1-4build1_all.deb data files for the magicor puzzle game
magicor_1.1-4build1_all.deb puzzle game in the spirit of solomon's key
magicrescue_1.1.9-6_amd64.deb recover files by looking for magic bytes
magics++_3.0.0-1_amd64.deb Executables for the magics++ library
magictouch_0.1+svn6821+dfsg-0ubuntu2_all.deb Retro game goes multitouch: use two knobs to paint a picture
magit_2.11.0-1_all.deb transitional dummy package for elpa-magit
magnum-api_6.1.0-0ubuntu1_all.deb OpenStack containers as a service
magnum-common_6.1.0-0ubuntu1_all.deb OpenStack containers as a service - API server
magnum-conductor_6.1.0-0ubuntu1_all.deb OpenStack containers as a service - conductor
Advertisement
Advertisement